# Add Partner Off Days

## Add partner off days

<mark style="color:green;">`POST`</mark> `{baseUrl}/partners/offDays`

Add partner off day(s)

#### Request Body

| Name                                        | Type           | Description |
| ------------------------------------------- | -------------- | ----------- |
| partnerId<mark style="color:red;">\*</mark> | String         |             |
| dates<mark style="color:red;">\*</mark>     | Array\<string> |             |

{% tabs %}
{% tab title="200: OK Off days added successfully" %}

{% endtab %}

{% tab title="400: Bad Request Could not add off day: Partner not found" %}

{% endtab %}
{% endtabs %}

### Sample Success Data

```json
// Sample Request Body
{
    "partnerId": "{{partnerId}}",
    "dates":["2024-05-20"]
}
```

```json
// Sample Response Body - 200 OK
{
    "status": true,
    "message": "Off days added successfully",
    "data": [
        "2024-05-20T00:00:00.000Z"
    ]
}
```

### Sample Error Data

```json
// Sample Request Body
{
    "dates":["2024-05-20"]
}
```

```json
// Sample Response Body - 400 Bad Request
{
    "status": false,
    "message": "Could not add off day: Partner not found"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendstackhq.com/delivery-api/partners/add-partner-off-days.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
